ApiModels
Grok Imagine 模型
Grok Imagine 的模式、积分价格与 Vidrush API 示例。
简介
厂商: Grok。grok-imagine 支持文字或图片提示词生成视频。grok-imagine-1-5 仅支持图片输入,且只有 16 秒、720p 的配置。
支持模式
| 模型 | 模式 | 时长 | 分辨率 | 宽高比 | 音频 |
|---|---|---|---|---|---|
grok-imagine | text-to-video, image-to-video | 6s, 10s, 15s, 30s | 480p, 720p | 2:3, 3:2, 1:1, 9:16, 16:9 | 不支持 |
grok-imagine-1-5 | 仅 image-to-video | 16s | 720p | 16:9, 9:16 | 不支持 |
积分价格
grok-imagine
文生视频和图生视频使用相同矩阵。
| 分辨率 | 6s | 10s | 15s | 30s |
|---|---|---|---|---|
| 480p | 10 | 20 | 30 | 60 |
| 720p | 20 | 30 | 45 | 90 |
grok-imagine-1-5
| 分辨率 | 16s |
|---|---|
| 720p | 20 |
所有数值均为每次生成消耗的积分。
cURL
curl -X POST https://vidrush-ai.com/api/v1/videos \
-H "Authorization: Bearer $VIDRUSH_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "grok-imagine-1-5",
"mode": "image-to-video",
"prompt": "The camera slowly pushes toward the subject",
"image_urls": ["https://example.com/source.jpg"],
"options": {
"duration": "16s",
"resolution": "720p",
"aspect_ratio": "16:9"
}
}'CLI
vidrush generate -m grok-imagine-1-5 \
-p "The camera slowly pushes toward the subject" \
--mode image-to-video --image https://example.com/source.jpg \
--duration 16s --resolution 720p --aspect-ratio 16:9 --waitMCP
让 MCP 客户端调用 generate_video,传入 grok-imagine-1-5、image_urls 数组和 mode: "image-to-video"。
注意事项
grok-imagine-1-5仅支持 image-to-video,且必须提供图片输入。- 两个 Grok 模型都不应传
audio: true。